deivao_drawer 1.0.0+4

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new75

Deivão Drawer #

How to use #

pubspec.yaml

  deivao_drawer: <lastest version>

import

import 'package:deivao_drawer/deivao_drawer.dart';

implementation

DeivaoDrawer(
    drawer: <Your Drawer>,
    child: <Screen Content>,
),

Exemple #

Getting Started Packages #

This project is a starting point for a Dart package, a library module containing code that can be shared easily across multiple Flutter or Dart projects.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

[0.0.1] - Apr 08, 2019.

  • Initial publish.

example/README.md

Exemple #

main.dart #

import 'package:flutter/material.dart';
import 'package:deivao_drawer/deivao_drawer.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Deivão Drawer',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: HomeScreen(),
    );
  }
}

class HomeScreen extends StatelessWidget {
  final drawerController = DeivaoDrawerController();

  @override
  Widget build(BuildContext context) {
    return DeivaoDrawer(
      controller: drawerController,
      drawer: _buildDrawer(),
      child: Scaffold(
        appBar: AppBar(
          title: Text("Deivão Drawer Exemple"),
          centerTitle: true,
          leading: IconButton(
            icon: Icon(Icons.menu),
            onPressed: drawerController.toggle,
          ),
        ),
        body: Center(child: Text("My Content")),
      ),
    );
  }

  ListView _buildDrawer() {
    return ListView(
      padding: EdgeInsets.all(0),
      children: <Widget>[
        Container(
          padding: EdgeInsets.only(top: 50, bottom: 20),
          color: Colors.blue,
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: <Widget>[
              ClipOval(
                child: Image.network(
                  "https://avatars3.githubusercontent.com/u/16373553?s=460&v=4",
                  width: 100,
                  height: 100,
                ),
              ),
              SizedBox(height: 15),
              Text(
                "David Araujo",
                style: TextStyle(color: Colors.white, fontSize: 18),
              ),
              Text(
                "davidsdearaujo@gmail.com",
                style: TextStyle(color: Colors.white),
              ),
            ],
          ),
        ),
        ListTile(leading: Icon(Icons.all_inclusive), title: Text("Item 1")),
        ListTile(leading: Icon(Icons.all_inclusive), title: Text("Item 2")),
        ListTile(leading: Icon(Icons.all_inclusive), title: Text("Item 3")),
        ListTile(leading: Icon(Icons.all_inclusive), title: Text("Item 4")),
      ],
    );
  }
}

pubspec.yaml #

name: exemple
description: Deivao drawer exemple

version: 1.0.0+1

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
    
  cupertino_icons: ^0.1.2
  deivao_drawer: ^1.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter

flutter:
  uses-material-design: true

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  deivao_drawer: ^1.0.0+4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:deivao_drawer/deivao_drawer.dart';
  
Version Uploaded Documentation Archive
1.0.0+4 Apr 14, 2019 Go to the documentation of deivao_drawer 1.0.0+4 Download deivao_drawer 1.0.0+4 archive
1.0.0+3 Apr 9, 2019 Go to the documentation of deivao_drawer 1.0.0+3 Download deivao_drawer 1.0.0+3 archive
1.0.0+2 Apr 9, 2019 Go to the documentation of deivao_drawer 1.0.0+2 Download deivao_drawer 1.0.0+2 archive
1.0.0+1 Apr 9, 2019 Go to the documentation of deivao_drawer 1.0.0+1 Download deivao_drawer 1.0.0+1 archive
1.0.0 Apr 8, 2019 Go to the documentation of deivao_drawer 1.0.0 Download deivao_drawer 1.0.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
51
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
75
Learn more about scoring.

We analyzed this package on Apr 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Fix lib/deivao_drawer.dart. (-0.50 points)

Analysis of lib/deivao_drawer.dart reported 1 hint:

line 10 col 7: This class (or a class which this class inherits from) is marked as '@immutable', but one or more of its instance fields are not final: DeivaoDrawer.controller

Format lib/drawer_animation_mixin.dart.

Run flutter format to format lib/drawer_animation_mixin.dart.

Format lib/drawer_controller.dart.

Run flutter format to format lib/drawer_controller.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test